List and search documents
Get specific document by ID
You can retrieve (the configuration of) a specific document to parse something from its metadata (or just confirm it exists) if you have its documentId.
GET
Note:As always, you can look for the file in the UI as well. If for whatever reason it does not appear there after you’ve created a new document, it might be because of the way your Views are set up. Go to your Library administration page, go to Views, and select the checkbox called “View documents from other classes”.
Method and API
Play with the API Explorer:GET /document/v1/\{documentId\}
Guidelines
Request
OnlydocumentId is mandatory, and it must be an AODocs documentId not a Drive fileId.
Sample request (asking for a full resource)
If you need only some of the fields of the extensive ApiDocument resource to come back, you can specify them in thefields array field of the request and sending this list as a query parameter. For example, you might want to request only the library name, class name, library ID, class ID, document ID, title, and the document description.
Sample request (partial resource)
NoteTo get an AODocs document (including its
documentId) by the Drive ID of one of its attachments, use the GET /document/v1/drive/{driveId} method.Response
The response returns an ApiDocument resource, listing the document associated with the provided document ID. The document’s ID isid, and its class is what you specified in the request, else of the library’s default type.